package com.uvigo.mhp.ui;

import org.havi.ui.*;
import org.havi.ui.event.*;
import java.beans.*;
import java.io.*;

public class HSwitchGroup extends HToggleGroup implements Serializable
{
    private PropertyChangeSupport changes=null;
    
    public HSwitchGroup()
    {
        super();
        changes=new PropertyChangeSupport(this);
        add(new HToggleButton());
    }
    
    public void addPropertyChangeListener(PropertyChangeListener p)
    {
        if (changes!=null)
            changes.addPropertyChangeListener(p);
    }
    
    public void removePropertyChangeListener(PropertyChangeListener p)
    {
        if (changes!=null)
            changes.removePropertyChangeListener(p);
    }
}
